- Qt 5.15
- Qt GUI
- C++ Classes
- QAccessibleTextCursorEvent
- Qt 5.15.18 Reference Documentation

# QAccessibleTextCursorEvent Class

The QAccessibleTextCursorEvent class notifies of cursor movements. More...

Header: | #include <QAccessibleTextCursorEvent>
qmake: | QT += gui
Inherits: | QAccessibleEvent
Inherited By: | QAccessibleTextInsertEvent, QAccessibleTextRemoveEvent, QAccessibleTextSelectionEvent, and QAccessibleTextUpdateEvent

- List of all members, including inherited members

## Public Functions

| QAccessibleTextCursorEvent(QAccessibleInterface *iface, int cursorPos)
| QAccessibleTextCursorEvent(QObject *object, int cursorPos)
int | cursorPosition() const
void | setCursorPosition(int position)

## Detailed Description

This class is used with QAccessible::updateAccessibility().

## Member Function Documentation

### QAccessibleTextCursorEvent::QAccessibleTextCursorEvent(QAccessibleInterface *iface, int cursorPos)

Create a new QAccessibleTextCursorEvent for iface, The cursorPos is the new cursor position.

### QAccessibleTextCursorEvent::QAccessibleTextCursorEvent(QObject *object, int cursorPos)

Create a new QAccessibleTextCursorEvent for object. The cursorPos is the new cursor position.

### int QAccessibleTextCursorEvent::cursorPosition() const

Returns the cursor position.

See also setCursorPosition().

### void QAccessibleTextCursorEvent::setCursorPosition(int position)

Sets the cursor position for this event.

See also cursorPosition().